/*
 * window.c - Helper routines for curses window operations.
 *
 * Copyright (C) 2001  Southern Storm Software, Pty Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "defs.h"

#ifdef	__cplusplus
extern	"C" {
#endif

int CursesHelpGetX(void *window)
{
	return getbegx((WINDOW *)window);
}

int CursesHelpGetY(void *window)
{
	return getbegy((WINDOW *)window);
}

int CursesHelpGetWidth(void *window)
{
	return (getmaxx((WINDOW *)window) - getbegx((WINDOW *)window));
}

int CursesHelpGetHeight(void *window)
{
	return (getmaxy((WINDOW *)window) - getbegy((WINDOW *)window));
}

#ifdef	__cplusplus
};
#endif
